package com.huiju.estateagents.channel.sysChannel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.channel.sysChannel.entity.TaChannelProxy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TaChannelProxyMapper extends BaseMapper<TaChannelProxy> {
    IPage<TaChannelProxy> getChannelList(IPage page);

    @Select("select * from ta_channel_proxy where is_office = 1 and status = 1 limit 1")
    TaChannelProxy getOfficeWebProxy();
}
